<?php require_once('Connections/conn.php'); ?>
<?php
set_time_limit(60);
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
/*$query_inscritos = "SELECT DISTINCT
id_alumno, 'LCF' as id_carrera
From
alumnos
";
$rst_inscritos = mysql_query($query_inscritos, $conn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_inscritos = mysql_num_rows($rst_inscritos);  

if($totalRows_inscritos >0)
{
	while($inscrito = mysql_fetch_assoc($rst_inscritos)){*/
	
	for ($i = 1; $i <= 7690; $i++) {
		$id_carrera = 'LCF';		
		$ida=calcular_ida($i, $id_carrera);
		$sql = "update `alumnos` set `ida`='$ida' where id_alumno='$i'";
        mysql_query($sql, $conn) or die(mysql_error());	
	}
	echo "Fin del Proceso";
	
?>
<?php
function calcular_ida($id_alumno,$id_carrera)
{
global $conn;

   mysql_select_db($database_conn, $conn);
   mysql_query ("SET NAMES 'utf8'");
	// Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ira =" SELECT sum( historico_notas.nota * materias.uc ) / sum( materias.uc ) AS ida
FROM historico_notas, materias
WHERE historico_notas.id_alumno = '$id_alumno'
AND historico_notas.id_carrera = 'LCF'
AND historico_notas.id_materia = materias.id_materia ";
   $rst_ira = mysql_query ($sql_ira,$conn ) or die (mysql_error()); 
   // Inicializo variables.
   $row_ira = mysql_fetch_assoc($rst_ira);
   $indice=$row_ira['ida'];
   if($indice==0) $indice=0;
    return $indice;
}
?>